## org.eclipse.datatools.connectivity.ui
Class DriverClassBrowsePropertyDescriptor

    java.lang.Object
      TextPropertyDescriptor
          org.eclipse.datatools.connectivity.ui.DriverClassBrowsePropertyDescriptor

All Implemented Interfaces:
  IDriverInstancePropertyDescriptor

    public class DriverClassBrowsePropertyDescriptor

extends TextPropertyDescriptor
implements IDriverInstancePropertyDescriptor

Author:
  brianf

Constructor Summary
`DriverClassBrowsePropertyDescriptor()` No arg constructor
`DriverClassBrowsePropertyDescriptor(java.lang.Object id, java.lang.String displayName)`
`DriverClassBrowsePropertyDescriptor(java.lang.Object id, java.lang.String displayName, java.lang.String[] jarList)`

Method Summary
`CellEditor` `createPropertyEditor(Composite parent)`
`void` `setDriverInstance(DriverInstance instance)` Provide the driver instance to the property descriptor to get any additional information needed.
`void` `setJarList(java.lang.String[] jarList)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DriverClassBrowsePropertyDescriptor

    public DriverClassBrowsePropertyDescriptor()

  No arg constructor

### DriverClassBrowsePropertyDescriptor

    public DriverClassBrowsePropertyDescriptor(java.lang.Object id,
                                               java.lang.String displayName,
                                               java.lang.String[] jarList)

Parameters:
  `id` -
  `displayName` -
  `jarList` -

### DriverClassBrowsePropertyDescriptor

    public DriverClassBrowsePropertyDescriptor(java.lang.Object id,
                                               java.lang.String displayName)

Parameters:
  `id` -
  `displayName` -

Method Detail

### setJarList

    public void setJarList(java.lang.String[] jarList)

  Parameters:
    `jarList` -

### createPropertyEditor

    public CellEditor createPropertyEditor(Composite parent)

### setDriverInstance

    public void setDriverInstance(DriverInstance instance)

  Description copied from interface: `IDriverInstancePropertyDescriptor`
  Provide the driver instance to the property descriptor to get any additional information needed.

  Specified by:
    `setDriverInstance` in interface `IDriverInstancePropertyDescriptor`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.